import type { Setter } from "solid-js";
import type { SetStoreFunction } from "solid-js/store";
import type { NodeI, EdgeI, StoreProps } from "../types";
interface Nodes {
    [key: string]: NodeI;
}
interface StoreI {
    nodes: Nodes;
    edges: EdgeI[];
}
export declare const StoreProvider: (props: StoreProps) => import("solid-js").JSX.Element;
interface UseStore {
    store: StoreI;
    setStore: SetStoreFunction<StoreI>;
    updatePosition: (x: number, y: number, items: string[]) => void;
    drag: (x: number, y: number, id: string) => void;
    isDragging: () => boolean;
    setDragging: Setter<boolean>;
    width: () => string;
    setWidth: Setter<string>;
    height: () => string;
    setHeight: Setter<string>;
    canvasbg: () => string;
    setCanvasbg: Setter<string>;
    selected: () => string[];
    setSelected: Setter<string[]>;
    scale: () => number;
    setScale: Setter<number>;
    transition: () => [number, number];
    setTransition: Setter<[number, number]>;
}
export declare const useStore: () => UseStore;
export {};
