export declare enum Position {
    Left = "left",
    Right = "right",
    Top = "top",
    Bottom = "bottom"
}
export interface XYPosition {
    x: number;
    y: number;
}
export declare type XYZPosition = XYPosition & {
    z: number;
};
export interface Dimensions {
    width: number;
    height: number;
}
export interface Rect extends Dimensions, XYPosition {
}
export interface Box extends XYPosition {
    x2: number;
    y2: number;
}
export declare type Transform = [number, number, number];
declare type HexDigit<T extends "0" | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "a" | "b" | "c" | "d" | "e" | "f" | "A" | "B" | "C" | "D" | "E" | "F"> = T;
export declare type HexColor<T extends string> = T extends `#${HexDigit<infer D1>}${HexDigit<infer D2>}${HexDigit<infer D3>}${infer Rest1}` ? Rest1 extends `` ? T : Rest1 extends `${HexDigit<infer D4>}${HexDigit<infer D5>}${HexDigit<infer D6>}` ? T : never : never;
export {};
